<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending: Plot Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwTrendingHistogramConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to create or modify Trending
        Plots of type Histogram.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When creating a new histogram, you should first enter
          a Plot Name and Plot Title in the corresponding fields.</p>
        <p>Then you specify the general characteristics of the plot, such as
          the foreground and background colours. There
          are also settings to choose if you want to show the default PVSS legend
          (not selected by default) and have a grid to help read the histogram.</p>
        <p>Next you configure which data to show in the histogram. To do this,
          you first enter
          the data
          point
          element to be plotted. The data source data point element must be of
          dyn_var type and the variable
          type must
          be numerical (e.g. dyn_float). You can type
          this manually in the first column or choose it from the data point
          selector by pressing the &quot;...&quot; button.
          Once you have chosen a data point element, the &quot;Legend Text&quot; column
          will automatically be filled in with a text. You can change this text
          as you wish.</p>
        <p>After this you can set some parameters  such as colour and Y axis
          range. To choose a curve colour you should press the coloured square
          and a
          colour
          picker
          will appear. You can set  automatic
          scaling (by checking the &quot;Auto&quot; checkbox) or manually selected
          min and max axis limits.</p>
        <p>Once
          you have filled all the required configuration for the histogram, you
          should save
          the
          plot by
          clicking
          OK or Apply.
          Clicking
          Cancel
          will
          close the
          panel without saving the histogram. The Save as... button can be used
          to save the displayed histogram configuration to another data point.</p>
        <p>If you are modifying an existing histogram, you will have all the
        options as above except that the Plot Name will not be modifiable.</p>
        <p>If you wish, you can use a template parameter in the Plot Title, Data
          Source DP Element and Legend Text. A template parameter is defined
          by placing the variable name between curly brackets,
        { }. So the Plot Title could be  HVChannels{myVariable}. Where {myVariable}
        is substituted by another
      value at a later time.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">The Plot Name is used as the data point name of the Plot.
        As this is the case, it must not include any characters not allowed in
        PVSS data point names.<br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="652" height="552" border="0" align="center">
  <tbody>
    <tr>
      <td height="546">
        <div align="center"><img
 src="fwTrendingHistogramConfig.jpg" alt="Panel screenshot" width="736" height="592" style="width: 736px; height: 592px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td><p>Data point name of the Plot to edit.</p>
        <p>If creating a new plot, set this value to an empty string.<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$Command</td>
      <td><p>Mode in which the panel is to run. The keyword to pass should be
          one of the following:</p>
      <p>&quot;new&quot; - for creating a new plot data point. Pressing OK or
        Apply saves the new configuration to the given data point. The plot dp
        name
        field is editable.</p>
      <p>&quot;edit&quot; - for editing an existing plot data point. Pressing
        OK or Apply saves the new configuration to the given data point. The
        plot dp name
        field is not editable.</p>
      <p>&quot;onlineedit&quot; - used from the plot display panel to modify
        the configuration without modifying the data point. Pressing OK returns
        the new plot configuration
        to the panel from which it was opened.  The plot dp name
        field is not editable.</p>      
      <p>If this $-parameter is not defined, the panel runs in &quot;edit&quot; mode, unless
      $sDpName is blank in which case the mode is &quot;new&quot;.</p></td>
      <td>Optional<br>
      </td>
    </tr>
    <tr>
      <td>$dsShowButtons</td>
      <td><p>Controls which of the OK, Apply and Cancel buttons are shown at runtime.</p>
      <p>The keywords for the buttons are &quot;ok&quot;, &quot;apply&quot; and &quot;cancel&quot;. The value
        passed in the $-parameter should be a dyn_string containing a list of
        the buttons to show, e.g. makeDynString(&quot;ok&quot;,
        &quot;cancel&quot;).
        The keywords are
        case
        insensitive.</p>
      <p>If this
      $-parameter is not defined, all three buttons are shown.</p></td>
      <td><p>Optional</p>
      <p>(except when using addSymbol() - see below)</p></td>
    </tr>
  </tbody>
</table>
<p><strong>Note:</strong> The optional $-parameters mentioned above <strong>must</strong> be
  passed if you are displaying this panel with the addSymbol() function. If you
  do not
  pass
  all
  $-parameters when using addSymbol(), errors will be given in your porject log
  and the functionality of the panel may not be as expected.<br>
</p>
</body>
</html>
